%define upstream_name translationstring

Name:           python-%{upstream_name}
Version:        1.4
Release:        %mkrel 1
Summary:        Utility library for i18n relied on by various Repoze and Pyramid packages
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/translationstring/
Source0:        https://files.pythonhosted.org/packages/5e/eb/bee578cc150b44c653b63f5ebe258b5d0d812ddac12497e5f80fcad5d0b4/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A library used by various Pylons Project packages for internationalization
(i18n) duties related to translation.

%package -n     python3-%{upstream_name}
Summary:        Utility library for i18n relied on by various Repoze and Pyramid packages
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
A library used by various Pylons Project packages for internationalization
(i18n) duties related to translation.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{upstream_name}
%doc README.rst
%{python3_sitelib}/translationstring
%{python3_sitelib}/translationstring-%{version}-*.egg-info


%changelog
* Sun Jul 26 2020 guillomovitch <guillomovitch> 1.4-1.mga8
+ Revision: 1609184
- new version 1.4

* Thu Jul 23 2020 ovitters <ovitters> 1.3-4.mga8
+ Revision: 1608316
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.3-3.mga8
+ Revision: 1532684
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.3-2.mga8
+ Revision: 1442597
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.3-1.mga8
+ Revision: 1417068
- imported package python-translationstring

